import AddCaseFile from "./addCaseFile.vue";
import exportPhotos from "./exportPhotos.vue";
import AddLibrary from "./addLibrary.vue";
import AddScenes from "./addScenes.vue";
import rollMakingList from "./rollMakingList.vue";
import AddScenesImg from "./AddScenesImg.vue";
import setType from "./setType.vue";
import { quiskMountFactory } from "@/helper/mount";
import { nextTick } from "vue";

export const addCaseFile = quiskMountFactory(AddCaseFile, {
  title: "上传附件",
  width: 570,
});

export const exportCasePhotos = quiskMountFactory(exportPhotos, {
  title: "导出",
  enterText: "下 载",
  width: 570,
});
export const addSceneImg1 = quiskMountFactory(AddScenesImg, {
  title: "导入方位图",
  width: 955,
});
export const addSceneImg2 = quiskMountFactory(AddScenesImg, {
  title: "导入平面图",
  width: 955,
});
export const addCaseScenes = quiskMountFactory(AddScenes, {
  title: "媒体库",
  width: 1000,
});

export const addrollMaking = quiskMountFactory(rollMakingList, {
  title: "平面图",
  width: 1000,
});


export const addLibraryFile = quiskMountFactory(AddLibrary, {
  title: "上传文件",
  width: 550,
});

export const setTypeFile = quiskMountFactory(setType, {
  title: "修改分类",
  width: 550,
});

